%{!?python2_sitelib: %define python2_sitelib %{python_sitelib}}

%global djblets_version 0.9.9

%global siteroot /var/www/reviewboard

Name:           ReviewBoard
Version:        2.5.17
Release:        1%{?dist}
Summary:        Web-based code review tool
Group:          Applications/Internet
License:        MIT
URL:            http://www.review-board.org
Source0:        http://downloads.reviewboard.org/releases/%{name}/2.5/%{name}-%{version}.tar.gz
Source1:        reviewboard-sites.conf

# Carry our node build requirements due to %%nodejs_symlink_deps not working for
# non-node packages yet. These are used only at build-time and do not end up
# in the binary package.
Source2:        npm_build_requirements.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python2-django(abi) = 1.6
BuildRequires:  python-djblets >= %{djblets_version}
BuildRequires:  python-django-evolution >= 0.7.7
BuildRequires:  python-django-haystack >= 2.3.1
BuildRequires:  python-mimeparse
BuildRequires:  python-sphinx
BuildRequires:  python-recaptcha-client
BuildRequires:  pysvn
BuildRequires:  python2-pygments2 >= 2.1
BuildRequires:  python-nose
BuildRequires:  pytz
BuildRequires:  python-paramiko >= 1.12
BuildRequires:  python-dateutil
BuildRequires:  python-mimeparse >= 0.1.3
BuildRequires:  python-markdown >= 2.4.0
BuildRequires:  python-docutils
BuildRequires:  gettext
BuildRequires:  systemd
BuildRequires:  python-memcached
BuildRequires:  python-cryptography
BuildRequires:  python-django-multiselectfield
BuildRequires:  python-whoosh >= 2.6
BuildRequires:  npm

Requires:       httpd
Requires:       python2-django(abi) = 1.6
Requires:       python-djblets >= %{djblets_version}
Requires:       python-imaging
Requires:       mod_wsgi
Requires:       patch
Requires:       patchutils
Requires:       python-flup
Requires:       python-nose
Requires:       pytz
Requires:       python2-pygments2 >= 2.1
Requires:       python-recaptcha-client
Requires:       python-paramiko >= 1.12
Requires:       python-memcached
Requires:       python-dateutil
Requires:       python-mimeparse >= 0.1.3
Requires:       python-docutils
Requires:       python-markdown >= 2.4.0
Requires:       python-cryptography
Requires:       python-django-multiselectfield
Requires:       python-whoosh >= 2.6
Requires:       python-django-evolution >= 0.7.6
Requires:       python-django-haystack >= 2.3.1

# Pull in the client libraries for all of the supported databases
Requires:       python-sqlite
Requires:       MySQL-python
Requires:       python-psycopg2

# Pull in the tools for working with common repositories
Requires:       git
Requires:       subversion
Requires:       pysvn
Requires:       mercurial

# Upstream patches awaiting the next release

# Fedora-specific patches

# There are several workarounds for easy_install in the requires.txt
# that are not needed for (and interfere with) RPM packaging.
Patch1001: FED01-Soften-dependencies.patch

# The cache file belongs in /var/cache according to guidelines
Patch1002: FED02-Change-default-paths-to-match-Fedora-policies.patch


%description
Review Board is a powerful web-based code review tool that offers
developers an easy way to handle code reviews. It scales well from small
projects to large companies and offers a variety of tools to take much
of the stress and time out of the code review process.

%prep
%setup -q -n %{name}-%{version}

# Upstream patches

# Fedora patches
%patch1001 -p1
%patch1002 -p1

# Remove packaged egg-info so it's regenerated by setup.py
rm -rf ReviewBoard*.egg-info

tar xf %{SOURCE2}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# These scripts have a shebang and are meaningful to run; make them executable:
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/manage.py
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/cmdline/rbssh.py
chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/cmdline/rbsite.py

# Remove test data from the installed packages
rm -Rf $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/diffviewer/testdata \
       $RPM_BUILD_ROOT/%{python2_sitelib}/reviewboard/scmtools/testdata

# Make sure the sites file exists in the buildroot for file tests
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/reviewboard/
touch  $RPM_BUILD_ROOT/%{_sysconfdir}/reviewboard/sites

# Create directory for systemd snippet
mkdir -p $RPM_BUILD_ROOT/%{_unitdir}/httpd.service.d/
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/httpd.service.d/

# Create directory for installed sites
mkdir -p $RPM_BUILD_ROOT/%{siteroot}

%check


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS
%{_bindir}/rb-site
%{_bindir}/rbssh
%{_bindir}/rbext
%ghost %config(noreplace) %{_sysconfdir}/reviewboard/sites
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/reviewboard-sites.conf
%dir %{siteroot}

%{python2_sitelib}/reviewboard/
%{python2_sitelib}/ReviewBoard*.egg-info/

%post
%systemd_post httpd.service

%preun
%systemd_preun httpd.service

%postun
%systemd_postun_with_restart httpd.service

%changelog
* Fri Jan 19 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.5.17-1
- Update to ReviewBoard 2.5.17
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.17/
- Change the default site directory for improved SELinux behavior
- Update to use python2_* macros

* Wed Oct 18 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.16-2
- Switch to depending on python-django16

* Tue Sep 12 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.16-1
- Update to ReviewBoard 2.5.16
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.16/

* Tue Aug 08 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.15-1
- Update to ReviewBoard 2.5.15
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.15/

* Thu Aug 03 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.14-2
- Use python-pygments2

* Wed Aug 02 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.14-1
- Update to ReviewBoard 2.5.14
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.14/

* Thu Jun 22 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.13.1-1
- Update to ReviewBoard 2.5.13
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.13/

* Tue May 30 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.12-1
- Update to ReviewBoard 2.5.12
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.11/
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.12/

* Mon Apr 03 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.10-1
- Update to ReviewBoard 2.5.10
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.10/

* Wed Mar 01 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.9-2
- Fix dependency on pytz

* Wed Mar 01 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.9-1
- Update to ReviewBoard 2.5.9
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.9/
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.8/

* Tue Oct 18 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.7-1
- Update to ReviewBoard 2.5.7
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.7/

* Wed Jun 29 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.6.1-1
- Update to 2.5.6.1 to really fix JavaScript minification

* Fri Jun 03 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.6-2
- Fix issue with JavaScript minification

* Fri Jun 03 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.6-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.6/

* Wed May 18 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.5-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.5/

* Mon May 02 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.4-2
- Fix incorrect version dependencies on python_mimeparse and Whoosh

* Thu Apr 14 2016 Stephen Gallagher <sgallagh@redhat.com> - 2.5.4-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.4/

* Mon Feb 22 2016 Stephen Gallagher <sgallagh@redhat.com> 2.5.3-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.3/

* Mon Dec 07 2015 Stephen Gallagher <sgallagh@redhat.com> 2.5.2-2
- Correct runtime requirement on python-django-evolution

* Fri Dec 04 2015 Stephen Gallagher <sgallagh@redhat.com> 2.5.2-1
- New upstream release 2.5.2
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.2/

* Mon Nov 30 2015 Stephen Gallagher <sgallagh@redhat.com> 2.5.1.1-1
- New upstream release 2.5.1.1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.1.1/
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5.1/
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.5/

* Mon Jun 29 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.18-1
- New upstream release 2.0.18
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.18/

* Tue Jun 16 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.17-1
- New upstream release 2.0.17
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.17/

* Fri Jun 12 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.16-1
- New upstream release 2.0.16
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.16/

* Wed Mar 18 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.15-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.15/

* Tue Mar 10 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.14-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.14/

* Fri Feb 20 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.13-2
- Fix Djblets requirement

* Tue Feb 17 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.13-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.13/
- Drop upstreamed patches for default site installation

* Fri Jan 09 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.12-3
- Include upstream patch to rename platform.py to rb_platform.py

* Fri Jan 09 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.12-2
- Create sites in /var/lib/reviewboard/sites

* Wed Jan 07 2015 Stephen Gallagher <sgallagh@redhat.com> 2.0.12-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.12/

* Fri Oct 31 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.11-3
- Guarantee that Review Board starts after memcached (if it's
  running on the local system).

* Wed Oct 29 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.11-2
- Guarantee that Review Board starts after the database (if it's
  running on the local system).

* Tue Oct 28 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.11-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.11/

* Mon Oct 27 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.10-1
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.10/

* Wed Sep 24 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.8-2
- Fix bug in systemd service file

* Wed Sep 24 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.8-1
- Update to Review Board bugfix release 2.0.8
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.8/

* Tue Sep 16 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.7-1
- Update to Review Board bugfix release 2.0.7
- https://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.7/

* Fri Aug 22 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.6-1
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.6/

* Mon Aug 18 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.5-1.2
- Fix runtime dependencies

* Fri Aug 08 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.5-1.1
- Release ReviewBoard on EPEL7
- Lower dependency on Pygments to the version shipping in RHEL

* Wed Jul 30 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.5-1
- Update to Review Board bugfix release 2.0.5
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.5/

* Wed Jul 23 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 2.0.4-1
- Update to Review Board security release 2.0.4
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.4/

* Fri Jun 13 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.2-1
- Update to Review Board bugfix release 2.0.2
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.2/

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.1-2
- Fix issue with display of static media files

* Tue May 27 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0.1-1
- Update to Review Board bugfix release 2.0.1
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0.1/

* Tue May 20 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0-13
- Fix version requirement for Djblets

* Tue May 20 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0-12
- Update to Review Board 2.0 final
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0/

* Fri May 09 2014 Stephen Gallagher <sgallagh@redhat.com> 2.0-11.rc3
- Update to ReviewBoard 2.0rc3
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0-rc-3/
- Update to 2.0rc2
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0-rc-2/
- Update to 2.0rc1
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0-rc-1/
- Update runtime requires for paramiko and pygments
- Add BuildRequires on systemd for the RPM macro
- Fix dependency version requirements
- Add gettext to build requirements
- Add Whoosh to build requirements to be safe
- New upstream major release beta
- Add new systemd snippet to replace %%post script
- http://www.reviewboard.org/docs/releasenotes/reviewboard/2.0-beta-3/

* Thu Apr 24 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.25-1
- New upstream security release 1.7.25
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.25

* Wed Apr 09 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.24-1
- New upstream bugfix release 1.7.24
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.24

* Wed Apr 09 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.23-1
- New upstream bugfix release 1.7.23
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.23

* Mon Mar 03 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.22-2
- Add BuildRequires: systemd for the %%{_unitdir}} macro

* Mon Mar 03 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.22-1
- New upstream security release 1.7.22
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.22/
- Security Fixes:
  * An XSS vulnerability was found in the Search field's auto-complete.
- New Features:
  * Added support for anonymous access to public Local Sites.
  * Added support for parallel-installed versions of Django.
- API Changes:
  * The documentation for Review Group Resource no longer says that review
    groups cannot be created through the API.
- Bug Fixes:
  * Install/Upgrade:
    * Fixed compatibility with Apache 2.4's method for authorization in newly
      generated config files.
    * Fixed an issue on some configurations where loading in initial schema
      data for the database would fail
    * rb-site upgrade --all-sites no longer throws an error if there are no
      valid sites configured.
  * Administration:
    * Administrators now have access to all repositories, instead of just
      public ones or ones they're a member of.
    * Repositories backed by paths that no longer exist can now be hidden.
    * Fixed creating groups and repositories that had conflicting "unique"
      fields.
    * Password fields no longer appear blank when they have a value in forms.
    * Setting https in the server URL now properly marks the server as using
      HTTPS. All URLs generated for the API and e-mails will include https
      instead of http.
    * Fixed incorrect labelling for the review request status graph in the
      Admin dashboard.
  * LDAP:
    * Usernames, passwords, and other information are properly encoded to UTF-8
      before authenticating.
    * Users without e-mail addresses in LDAP no longer break when first
      authenticating.
  * Dashboard:
    * Fixed support for accessing watched groups through the Dashboard.
  * Repositories:
    * Copied files in Git diffs no longer results in File Not Found errors, and
      properly handles showing the state much like moved files.
    * Added better compatibility with Mercurial repository when accessing
      hg-history URLs, when the server name didn't contain a trailing slash.
    * Added better CVS compatibility for repositories that don’t contain
      CVSROOT/modules.
    * Fixed issues with Clear Case in multi-site mode when OIDs weren’t yet
      available on the server.

* Fri Feb 21 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.21-5
- Require patched version of Djblets to handle requires.txt

* Fri Feb 21 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.21-4
- Fix mimeparse requirement

* Fri Feb 21 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.21-3
- Support parallel-installable python-django14 package

* Mon Jan 27 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.21-2
- Fix apache configuration to support new authorization directive

* Wed Jan 15 2014 Stephen Gallagher <sgallagh@redhat.com> 1.7.21-1
- New upstream enhancement release 1.7.21
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.21/
- New Features:
  * Added support for GitLab servers.
  * Added support for the Unfuddle service.
  * Added support for publicly accessible Local Sites.
- Performance Improvements:
  * Massively improved render time of large diffs.
- API Changes:
  * Added new query parameters for filtering lists of repositories.
- Bug Fixes:
  * Fixed issues verifying and accessing files for Subversion repositories on
    Beanstalk.
  * Fixed issues accessing properties on Subversion repositories on some
    hosting providers that require authentication.
  * The activity widget in the administration UI now shows data for the current
    day.
  * Fixed issues where the activity widget could break, depending on the date
    range.
  * Fixed a regression in error messages provided when setting up a GitHub
    repository.
  * Fixed links in e-mails to file attachments stored on CDNs.
  * Removed an unnecessary external image included in e-mails.
  * Users no longer on a LocalSite will be excluded from any e-mails on review
    requests or reviews they were previously involved in.

* Thu Dec 12 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.20-1
- New upstream bugfix release 1.7.20
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.20/
- Web API Changes:
  * When posting a review request and using submit-as, the given username will
    now be looked up in the auth backend (LDAP, Active Directory, etc.),
    instead of just the local database.
- Bug Fixes:
  * Accessing file attachments without review UIs through the API no longer
    causes an HTTP 500 error.
  * Fields in the administration UI containing JSON will no longer cause errors
    during save. Furthermore, the JSON is now valid and properly editable.
  * Usernames with plus signs are now allowed.
- Internal Changes
  * Rewrote the Mercurial support to use the command line tool.

* Wed Nov 27 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.19-1
- New upstream bugfix release 1.7.19
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.19/
- New Features:
  * Added support for two-factor authentication for GitHub.
- Performance Improvements:
  * Re-introduced browser caching on the review request page.
- Web API Changes:
  * Added the mirror_path field to Repository Resource.
- Bug Fixes:
  * Fixed the default focus on the Review dialog. The top-most field now always
    has default focus.
  * Fixed displaying review requests for groups on a Local Site.
  * Prevented rare crashes with Local Sites using the new permissions support
    without any granted permissions.
  * Fixed HTTP basic authentication with the web API when using fastcgi.

* Wed Nov 13 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.18-1
- New upstream bugfix release 1.7.18
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.18/
- Convert to using UglifyJS2 for javascript minification

* Tue Nov 05 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.17-1
- New upstream security release 1.7.17
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.17/
- Resolves: CVE-2013-4519
- Security Fixes:
  * Fixed XSS vulnerabilities for the 'Branch' field and uploaded file
    captions.
  * Added a 'X-Frame-Options' header to prevent clickjacking.
- New Features:
  * Remove the need for SSH keys for GitHub repositories.
  * Improved validation for GitHub repositories.
  * Added support for permissions on Local Sites.
- Performance Improvements:
  * Reduced query counts on all pages.
  * Reduced query counts in the web API when returning empty lists.
- Extensibility:
  * Extensions using the ``configure_extension`` view an now pass in a custom
    ``template_name`` pointing to a template for the configuration page, if it
    needs additional customization.
  * Enabling, disabling or reconfiguring extensions will now invalidate the
    caches for pages, ensuring that hooks will take affect.
  * Extension configuration now works properly on subdirectory installs.
- Bug Fixes:
  * Fixed showing private review requests on a submitter page.
  * The description for submitted or discarded review requests is now shown on
    the diff viewer.
  * Discarding, reopening and then closing a review request no longer makes the
    review request private.
  * Fixed a naming conflict with older PyCrypto packages, such as the default
    package on CentOS 6.4.
  * Users with the 'can_change_status' permission no longer need the
    'can_edit_reviewrequest' permission in order to close or reopen review
    requests.
  * Switching a repository from using a hosting service to Custom no longer
    reverts back to the hosting service.
  * Fixed editing a repository if its associated hosting service can't be
    loaded (such as if an extension providing that hosting service is
    disabled).
  * Many diff validation errors weren't being shown on the New Review Request
    page, generating 500 errors instead.
  * Fixed caching issues with the Blocks field on review requests.
  * Editing JSON text fields in the administration UI now works, validates, and
    won't result in warnings in the log.
  * Fixed breakages with looking up URLs internally with Local Sites.

* Sun Oct 13 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.7.16-2
- Update Djblets version

* Sun Oct 13 2013 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.7.15-2
- New upstream bugfix release 1.7.16
- Fixes a breakage when accessing the Review Group Users resource
- Fixes pagination in dashboard and similar pages

* Thu Oct 10 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.15-1
- New upstream security release 1.7.15
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.15/
- Resolves: CVE-2013-4410
- Fixes access-control problems with REST API
- Resolves: CVE-2013-4411
- Fixes URL processing allowing unauthorized users to view review lists

* Mon Sep 23 2013  Stephen Gallagher <sgallagh@redhat.com> - 1.7.14-1
- New upstream security release 1.7.14
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.14/
- Some API resources were accessible even if their parent resources were not,
  due to a missing check. In most cases, this was harmless, but it can affect
  those using access control on groups or review requests.

* Thu Aug 15 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.13-2
- New upstream release 1.7.13
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.13/
- Starting with this release, sites will automatically be upgraded if they are
  listed in the text file /etc/reviewboard/sites by the path to their site,
  one per line.

* Mon Jul 29 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.12-1
- New upstream release 1.7.12
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.12/
- Security Fixes:
    * Function names in diff headers are no longer rendered as HTML.
    * If a user’s full name contained HTML, the Submitters list would render it
      as HTML, without escaping it. This was an XSS vulnerability.
    * The default Apache configuration is now more strict with how it serves up
      file attachments. This does not apply to existing installations. See
      http://support.beanbaginc.com/support/solutions/articles/110173-securing-file-attachments
      for details.
    * Uploaded files are now renamed to include a hash, preventing users from
      uploading malicious filenames, and making filenames unguessable.
    * Recaptcha support has been updated to use the new URLs provided by
      Google.
- New Features:
    * Added a X-ReviewRequest-Repository header for e-mails.
- Extension Improvements:
    * Extensions can now specify their list of app directories.
    * Extensions can now specify the author’s URL.
    * Improved the look and feel for extension configuration.
    * Improved the functionality for extension configuration.
    * Improved the list of available extensions.
- Bug Fixes:
    * Fixed the “Show Whitespace Changes” toggle.
    * Fixed compatibility with modern versions of django-storages.
    * Draft comments on file attachments are no longer shown to all users.
    * Fixed issues with console windows appearing when invoking Clear Case
      requests on Python 2.7.x and Windows 7.
    * Review requests on Local Sites are now guaranteed to have the proper ID.
    * Fixed starring review requests on Local Sites.

* Thu Jun 27 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.11-1
- New upstream release 1.7.11
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.11/
- Bug Fixes:
    * Fixed compatibility with Python 2.5
    * Fixed the drop-down arrow by Support and the account name on older
      versions of Internet Explorer

* Mon Jun 24 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.10-1
- New upstream release 1.7.10
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.10/
- Security Updates:
    * Fixed an XSS vulnerability where users could trigger script errors under
      certain conditions in auto-complete widgets
- Web API Changes:
    * Added n ?order-by=<fieldname> query parameter for comment resources,
      allowing ordering by fields such as line numbers (for diff comments)
    * Added a filename field to screenshot resources, which provides the base
      filename (without path) of the screenshot
    * Added a review_url field to screenshot resources, which provides the URL
      to the screenshot review page
    * Added a thumbnail_url field to screenshot comment resources, which
      provides the URL to the snippet of the screenshot being commented on
    * Added a link_text field to file attachment comment resources, which shows
      the text for any link pointing to the file. This may differ depending on
      the comment
    * Added a review_url field to file attachment comment resources, which
      provides the URL to the review page for the file
    * Added a thumbnail_html field to file attachment comment resources, which
      provides HTML for rendering the thumbnail of the portion of the file
      being rendered, if any
- UI Changes:
    * Improved the look and feel of the issue summary table. It’s cleaner and
      no longer looks odd with long comment text
- Bug Fixes:
    * Fixed periodic but harmless JavaScript errors when removing elements with
      relative timestamps
    * Editing or reordering dashboard columns no longer breaks after the
      dashboard reloads
    * Relative timestamps in the dashboard no longer break after the dashboard
      reloads
    * The maximum size of the timezone has increased, allowing for longer
      timezone strings

* Mon Jun 03 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.9-1
- New upstream release 1.7.9
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.9/
- API Changes:
    * Added new blocks and depends_on fields to the Review Request resource
- Bug Fixes:
    * Fixed the max_length of the new HostingServiceAccount.hosting_url field
    * Fixed the documentation for the cgit configuration for Git
    * Fixed the cgit URL for Fedora Hosted

* Mon Jun 03 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.8.1-1
- New upstream release 1.7.8.1
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.8.1/
- Bug Fixes:
    * Fixed a regression with saving repositories that don't use hosting
      services
- Misc. Changes:
    * Compatibility changes for the upcoming PDF review plugin
- New upstream release 1.7.8
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.8/
- New Features:
    * Added Depends On and Blocks fields to review requests
    * Added an improved support page
    * Added the ability to set where Get Support takes users
    * Added improved logging for many operations
- Performance Improvements:
    * Reduced the upload time for many new diffs
    * The templates used for rendering the various pages are now cached after
      the first render, speeding up the rendering for any future renders. We've
      seen speedups of ~100-120ms for review request pages
- Usability Improvements:
    * The review request actions are now larger, making them more visible and
      easier to hit, particularly on touch screens
    * Clicking Fixed, Drop or Re-open now keeps the page in the same scroll
      position
    * The dashboard now reloads dynamically, without reloading the entire page
    * The comment dialog now tells you when you can't make a comment (due to
      being logged out or reviewing something that's part of a draft
- API Changes
    * Fixed deleting pending replies to comments
    * Fixed some issues returning certain lists of data
- Extensibility Improvements:
    * Extensions can now customize their metadata directly in the Extension
      class
    * TemplateHooks can now render their own content by overriding
      render_to_string()
    * NavigationBarHook can now take a url_name parameter specifying the URL
      name to link to
    * Review UIs can now specify the link and link text for any comments on a
      review by overriding get_comment_link_url() and get_comment_link_text()
    * Custom hosting services can now be registered/unregistered by extensions
      by using register_hosting_service() and unregister_hosting_service()
      (from reviewboard.hostingsvcs.service)
    * Added the ability to more easily write hosting services support that
      works for self-installable services
- Bug Fixes:
    * Added missing repository validation for Mercurial repositories
    * Fixed replying to comments on file attachments that have since been
      removed
    * Fixed the display of the upload dialogs when viewing a file attachment
    * Comments on file attachments in e-mails now link to the correct review UI
      handling the file
    * Worked around rare issues where a reset of the Open An Issue default for
      a user would cause pages to break
- Misc Changes:
    * E-mails now show the user’s full name instead of just their first name
    * The New Review Request page now mentions RBTools instead of just
      post-review

* Mon Apr 22 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.7.1-1
- New upstream release 1.7.7.1
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.7.1/
- Bug Fixes:
    * Fixed a problem with generating config files when creating a new site
      installations
- New upstream release 1.7.7
- http://www.reviewboard.org/docs/releasenotes/reviewboard/1.7.7/
- New Features:
    * The configured SSH key can now be deleted
    * Added support for working against a GitHub OAuth application
- Performance Improvements:
    * Uploading a diff with a parent diff will no longer attempt to process any
      files in the parent diff that aren't in the main diff
    * Sped up rendering times for the Dashboard, All Review Requests page, and
      the user/groups pages
- Web API Improvements:
    * Fixed a breakage with updating comments when the issue_status field
      wasn't provided
    * Improved caching logic to not claim a cached payload is valid when the
      client reports a matching Last Modified timestamp but not a matching
      ETag
- Bug Fixes:
    * Specifying a port in a SSH URL for a repository will now connect on that
      port
    * Fixed broken links to file attachments when using Local Sites
    * Review request e-mails now show the right ID in the subject for Local
      Sites
    * Fixed Python path issues when spawning processes
    * Fixed a rare breakage when saving repositories
    * Fixed the cookie path when using site directories
    * When installing a site, database hosts now accept a port in the format of
      hostname:port
    * Fixed visual glitches with some rounded corners in the UI

* Wed Apr 10 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.6-4
- Add explicit BuildRequires: python-django14

* Wed Apr 10 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.6-3
- Change to explicit requirement on python-django14
- Resolves: rhbz#950411 - Change requires to python-django14

* Thu Mar 21 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.6-2
- Replace references of id2= with id= for cgit
- Use file blobs rather than plaintext representation with Fedora
  Hosted cgit repositories

* Thu Feb 21 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.6-1
- New upstream release 1.7.6
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.6/
- Fedora-specific: removed versioning requirement on paramiko; it's no longer
  needed
- Security Updates:
    * We now require Django 1.4.5, which fixes a few security vulnerabilities
- New Features:
    * Added Perforce ticket-based authentication
    * Added a setting for choosing Review Board log levels
- Web API Changes:
    * Added API support for querying and manipulating default reviewers
    * Repositories deleted through the Web API are now only archived if they
      have any associated review requests
- Bug Fixes:
    * Fixed fetching files with FedoraHosted
    * Fixed some cases where URLs to user pages were incorrect, especially on
      subdirectory installs and local sites
    * We try harder now to set the PYTHONPATH for subprocesses, which should
      fix some issues fetching files over Subversion
    * The Administration UI dashboard widgets no longer cache their data too
      aggressively
    * Fixed showing the error box when entering an invalid reviewer
    * Fixed config/ and db/ links for extensions, when in a subdirectory
      install
    * The Manual Updates page for the media upload directory no longer points
      to a non-existant wiki page

* Thu Feb 07 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.5-1
- New upstream release 1.7.5
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.5/
- New Features:
    * Added a nicer, human-readable view of diffs in the FileDiff tables in the
      administration UI
    * The repository name is now included in review request e-mails
- Compatibility Fixes:
    * We now require django-pipeline 1.2.24, which restores our compatibility
      with Python 2.5 and fixes some errors when loading pages
    * Our list of supported timezones should now be consistent across all
      installs, since we now require a specific, modern version of pytz
      (Packager's note: this is an upstream change only. In Fedora we have
      always relied on the system pytz)
- Bug Fixes:
    * The entire thumbnail for file attachments are now clickable, making it
      easier to download the file or reach the review page
    * Users are no longer locked out of their review requests when assigned to
      private groups they don’t have access to
    * The Hide whitespace changes toggle was broken on many browsers, causing a
      JavaScript error
    * Searching for a user in the quick search field and then clicking the user
      once again navigates to the user’s page
    * The review request counts in the dashboard no longer show “None” for new
      users when using Local Sites

* Thu Jan 31 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.4-1
- New upstream release 1.7.4
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.4/
- Bug Fixes:
    * Fixed a JavaScript error in Internet Explorer and Firefox 3.x involving
      the console object being undefined
    * Fixed the diff viewer’s changed file listings when using Windows file
      paths

* Mon Jan 28 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.3-1
- New upstream release 1.7.3
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.3/
- New Features:
    * Add optional support for sending e-mails when closing review requests
- Compatibility Updates:
    * The new support for Perforce moved files has changed
      RBTools 0.4.3 will now require Review Board 1.7.3 at a minimum.
    * Review Board now works with SVN diffs generated in many non-C locales
- Web API Changes:
    * Added a scmtools.perforce.moved_files capability to indicate moved file
      support for Perforce
- Bug Fixes:
    * SMTP servers saved with additional whitespace will now have that
      whitespace stripped, in order to prevent lookup failures.
    * Fixed a crash when running a search index
    * The listed creation time for a review request now reflects when it was
      first published, not when the initial draft was first created
    * The "Add Comment" button on file attachment thumbnails is no longer shown
      if not logged in
    * Fixed a bug allowing for publishing blank review requests after filling
      in the field and then deleting them
    * Fixed an occasional crash when viewing a diff when displaying a function
      or class header on the left-hand side but when there was none on the
      right-hand side
    * Fixed a breakage on some systems when checking the Mercurial version
    * The Summary field no longer overlaps text when wrapping
    * Fixed the review ID column when using Local Sites
    * Using a custom SITE_ROOT with a development server setup no longer breaks
      all static media
    * Fixed the capitalization of the "VersionOne" bug tracker entry
    * Using ClearCase on Windows 7 should no longer cause console windows to
      pop up
    * Fixed loading blank comments in the diff viewer

* Thu Jan 17 2013 Stephen Gallagher <sgallagh@redhat.com> - 1.7.2-1
- New upstream release 1.7.2
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.2/
- New Features:
-   Added bug tracker support for VersionOne
-   Added support for ssl:-prefixed P4PORTs for Perforce 2012.1+
-   Added support for moved file handling for Perforce
- Bug Fixes:
-   Fixed an HTML escaping issue when listing filenames in the diff viewer
-   Fixed the display of the static media instructions in rb-site
-   Attempting to install on Python 2.4 will now display a helpful error before
    failing, instead of a cryptic error
-   Fixed the display of file attachment names in review request change
    descriptions that don’t have captions
-   Fixed the default file-based cache path used when creating a new site
-   The Review Board Activity widget in the administration UI will now clear
    the data shown when the datasets are unselected
-   Fixed capitalization of the navigation bar entries to be consistent
-   Fixed the link to the PyLucene documentation in the General Settings page
-   Fixed default Apache configuration files to be explicit in enabling
    FollowSymLinks
-   Fixed timezone warnings when running the search index command

* Fri Dec 21 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7.1-2
- Add missing runtime dependencies

* Wed Dec 19 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7.1-1
- New upstream release 1.7.1
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7/
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.0.1/
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7.1/

* Thu Dec 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7-5.rc1
- Update to upstream release candidate 1.7rc1
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7-rc-1/

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7-4.beta2
- Disable building documentation

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7-3.beta2
- Disable JavaScript minification until python-slimit is available

* Wed Oct 03 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7-2.beta2
- New upstream release 1.7 beta2
- New Features:
-    Introduced a new style for Review Board
- Performance Improvements:
-    We’ve updated our dependency on jQuery to the latest version. We’ve been
     on an old one for quite a while, and there have been many performance
     improvements since. The site’s responsiveness should be a little faster
     now.
- Bug Fixes:
-     Fixed the paths to certain decorational image files
-     File attachment comments are no longer missing from the review box
-     Fixed problems with issue tracking statuses in the review box
-     Fixed wrapping of the text in the change updates
-     Admin UI widgets no longer overlap when loading the page

* Mon Aug 06 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.7-1.beta1
- New upstream release 1.7 beta1
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.7-beta-1/
- Compatibility Changes:
-     Added a requirement for Django 1.4
-     Dropped Python 2.4 support
- New Features:
-     Experimental extension support
-     New administration UI
-     Issue summary table for review requests
-     Moved files in a change are better represented in the diff viewer
-     Some file attachments are now shown with more detailed previews
-     Added a “To Me” column in the dashboard
-     Dates and times are now localized to the user’s region
-     The review request update bubble now says if the review request was
      closed
-     E-mails now include the review request ID in the subject header
-     Links in the Description and Testing Done text now open in new windows or
      tabs
-     Required fields on a review request are now marked as required by showing
      an asterisk
-     Added a “Show changes” link on the change description boxes after
      publishing a diff
-     Added support for the latest CVS diff file format
- Removed Features:
-     The hidden reports feature (accessible at /reports/) has been removed
- Performance Improvements:
-     Reduced download time of JavaScript and CSS
-     Reduced diff storage and lookups
- Web API Changes:
-     Added server capabilities in /api/info/
-     Added resources for viewing the original and patched files for a
      FileDiff
- Bug Fixes:
-     The “Diff Updated” column in the dashboard now actually reflects the last
      diff update
-     Captions changes for file attachments are now shown on change description
      boxes, just like screenshot caption changes

* Tue Jul 31 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.11-1
- New upstream release 1.6.11
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.10/
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.11/
- Drop upstreamed patch for disabling ez_setup
- New Features:
-     The "x minutes ago" timestamps now update live on the page
-     Added a RB_EXTRA_MIDDLEWARE_CLASSES setting for settings_local.py
- Performance Enhancements:
-     Greatly tuned our database queries, session handling, and other bits of
      logic, and this makes a noticeable impact on performance. All pages load
      faster, particularly review requests, diffs, and the dashboard
-     Reduced the number of queries for review requests with file attachments,
      comments referencing inactive screenshots and file attachments, the
      screenshot page, and review requests without a repository
-     Reduced the number of queries on review requests with file attachments
-     Reduced the number of queries when comments were referencing previously
      removed screenshots or file attachments
- API Changes:
-     The new Hosting Service Account resource payload key has been changed
      from hosting-service-account to hosting_service_account
- Bug Fixes:
-     Very large lines no longer slow Review Board to a crawl
-     All errors that occur when verifying a repository should now be shown,
      instead of causing an HTTP 500 error
-     Closing or reopening an issue no longer causes excessive checks for
      update notification bubbles
-     Fixed compatibility issues with newer versions of Mercurial with version
      numbers containing a + in them
-     Mercurial no longer forces an HTTP URL for downloading files from a
      repository when an HTTPS URL is specified
-     Mercurial support on Google Code now works properly
-     Fixed files in CVS that had v as the last character in the filename
-     Fixed the order of displayed replies on a review
-     SSH-backed repositories no longer break on some setups

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.9-1
- New upstream release 1.6.9
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.9/
- New Features:
-    When using a GitHub repository and there's only 100 API calls or less
     available on GitHub for the hour, a warning with the number of API calls
     left is logged
- Bug Fixes:
-    Fixed typing in entry fields in the diff viewer
-    Fixed some issues with private repositories on GitHub
-    Fixed creating review requests that aren't tied to repositories

* Mon Jun 11 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.8-1
- New upstream release 1.6.8
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.8/
- Bug Fixes:
-    The Account field for a hosting service for a repository now properly
     loads the existing account when re-editing a repository or when showing
     validation errors
-    Fixed problems when using the "Use hosting service's bug tracker" setting
-    Fixed a file fetching error with GitHub when using the New Review Request
     form
-    Improved the help text of some of the hosting service fields
-    Fixed improper text in the File Not Found error when using GitHub

* Fri Jun 08 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.7.1-2
- New upstream release 1.6.7.1
- Fixed a database migration compatibility issue with certain versions of MySQL

* Tue Jun 05 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.7-1
- New upstream release 1.6.7
- Important Updates:
-     support the new method for authentication that we need in order to fetch
      data from GitHub
- New Features:
-     Introduced a new model for hosting service integration
-     Made the maximum diff size customizable
-     Added Plastic SCM 4.0 compatibility
- Web API Changes:
-     Added a /api/hosting-service-accounts/ resource for querying existing
      hosting service accounts and for linking new ones
- Bug Fixes:
-     Review Board no longer continues to show the Manual Updates page if the
      problem is resolved
-     Subversion now understands the $Header$ keyword
-     Setting the issue status on deleted screenshots no longer fails

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.6-2
- Fix conflict with Django 1.4
- Guarantee rebuild of .egg-info

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.6-1
- New upstream release 1.6.6
- New Features:
-     Added a button for fetching GitHub API tokens
-     Improved update bubbles
-     Diffs larger than 1MB can no longer be uploaded
-     Added a RB_EXTRA_APPS setting for settings.py
- Web API Changes:
-     Fixed the links in the FileDiff resource
-     Added an error for diff uploading (code 219) when the diff is empty
-     Added an error for diff uploading (code 220) when the diff is over 1MB
      in size

* Fri Mar 30 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.5-2
- Always pull in mod_wsgi
- Pull in the tools for working with repositories

* Fri Mar 30 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.5-1
- New upstream release 1.6.5
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.5/
- Important Updates
-   ReviewBoard is not compatible with Django 1.4. I have specifically added
    a conflict to the RPM to ensure that an appropriate version of Django is
    installed
- Web API Changes
-   Fixed a breakage when querying for diff comments as an anonymous user
- Bug Fixes
-   Support parsing Git diffs with moved file information
-   Fixed rendering issues on Internet Explorer 8, 9, and 10
-   The source tarball now contains the documentation database, needed to
    generate docs

* Tue Feb 28 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.4.1-2
- New upstream minor release 1.6.4.1
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.4.1/
- Bug Fixes
-   Fixed a crash with the Review ID column in the Dashboard when sorting by
    ID
-   Fixed validation of the cache backend when saving settings
-   Increased the buffer size for memcached stats in order to accomodate
    larger amounts of data

* Mon Feb 27 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.6.4-1
- New upstream release 1.6.4
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.4/
- New Features
-   Added support for Codebase HQ as a hosting service
-   Toggles for issue tracking now appear in the review dialog
-   Added database dump/load management commands for rb-site
-   Objective-C++ '.mm' files now show function/class headers in the diff
    viewer, just like '.m' files
- Web API Changes
-   The web API now identifies resource payloads by resource-specific
    mimetypes. These are JSON and XML-compatible, but contain specific
    information that can be used by a consumer to identify the resource
    without inspecting the path
-   API requests that take a boolean parameter now accept true as a valid
    value
- Bug Fixes
-   Fix problems with Git when changes are made to previously empty files
-   Fix Basic HTTP auth issues when accessing remote Git or Mercurial
    repositories
-   Fix SPF compliance for e-mails
-   Fixed potential KeyErrors when creating a repository without a path
-   Prevent HTTP 500 errors if we receive badly encoded text during repository
    validation
-   Added validation for the cache backend setting
-   Fixed global default reviewers on Local Sites
-   Fixed encoding errors in the user infobox for users with unicode names
-   Made the “Expand All” icon work in the review request page
-   Fixed the help text for Git paths in the administration UI
-   Improved the help text for the LDAP user mask field
-   Show the correct review request ID in the "Review ID" column for Local
    Sites
-   The "Posted" date now shows up in the review request
-   Duplicate CC headers on e-mails have been removed
-   Fixed links to screenshots in e-mails
-   Fixed a potential crash when using LDAP without fullName set

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6.3-1
- New upstream security release 1.6.3
- Security Fixes:
    A script injection vulnerability was discovered in the commenting system.
    This affected the diff viewer and screenshot pages, and allowed a
    commenter to break the page and execute JavaScript

* Thu Nov 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6.2-1
- New upstream release
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.2/
- New Features:
-     Staff members can now access all Local Sites
-     Auto-generated e-mails are now marked as "auto-generated" to avoid auto
      replies
- API Changes:
-     Added API for deleting review groups
-     Allow for archiving repositories
- Bug Fixes:
-     Fixed the default Apache WSGI configuration for subdirectory installs
-     Added explicit permisisions in the default Apache configurations
-     The favicon for the page is now properly switching to the "New Updates"
      favicon on all browsers when there are review request updates
-     Specifying bug numbers on review requests without a repository no longer
      fails
-     Fixed saving captions for newly added screenshots and files
-     Fixed using special characters in SVN URLs
-     Fixed Bazaar when pointing to a repository root that exists on the local
      filesystem
-     Clicking Cancel on an "Add comment" box now fully removes the box,
      instead of leaving a bit of it behind
-     Fixed dashboard counters for brand new review requests on Local Sites
-     Group names in the dashboard are now ordered by name in the sidebar
-     Fixed a hard-coded media URL for the "Expand All" button
-     Fixed a problem with IE8 where the "Publish" button on comment dialogs
      weren’t being shown
-     Fixed API authentication failures when : was in the password

* Tue Sep 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6.1-1
- Security Updates:
  * Review Board 1.6.1 now requires Django 1.3.1. Django 1.3.1 contains a
    number of important security fixes.
- Bug Fixes:
  * Fixed the Dashboard counters showing up as 0 or negative numbers

* Mon Jul 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6-5.rc2
http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6-rc-2/
- New Features
-   File attachment comments
-   File attachment drag-and-drop
-   Added close descriptions to review requests
-   Added alerts whenever leaving a page would cause data loss
-   Added confirmation when canceling a field with new changes
-   Added a Control-S shortcut to save the field you’re editing
-   Added support for HTTP Basic Auth for Git repositories when using the
-   web-based raw file URL method
-   Added stunnel support for Perforce
-   Provide better instructions when manual updates to the server are required
-   Added Gitorious as a hosting service for repositories
-   Added People and Groups columns to the dashboard
-   Added additional LDAP configuration for name attributes
- Web API Changes
-   Added a ?ship-it= parameter to the review requests list resource
-   Added support for HTTP caching headers for resources
-   Fixed accessing diff resources for closed review requests
-   Errors accessing Perforce repositories are now reported in the web API
- Bug Fixes
-   Review request counts in the dashboard's sidebar should now be correct
-   if they were broken in older releases
-   LDAP referrals are now turned off
-   Fixed JavaScript errors on Internet Explorer
-   Fixed a JavaScript error when canceling a newly created, empty reply to a
-   comment
-   Fixed the star/unstar issue counts for review requests
-   Fixed screenshot comment location problems on Chrome and Firefox
-   Closing issues no longer changes the review timestamp
-   The dashboard should no longer generate errors about id_list not being set
-   Invalid bug tracker URLs (those with extra "%%s" or other format strings)
-   no longer break review requests
-   Trailing ) characters on links are no longer included in the link
-   The proper screenshot caption is now shown after uploading a screenshot
-   through the Add Screenshot button
-   The issue tracker buttons ("Fixed" and "Discard") are no longer shown to
-   all users, just to the owner of the review request
-   Removed the unwanted "Uploaded files" label on review requests without
-   file attachments
-   The Expand Reviews button is no longer shown if there aren’t any reviews
-   Fixed the name of the "recaptcha-client" dependency. This didn’t affect
-   most users, but it was causing problems for some packagers
- Feature Polish
-   The user page now has a bit of polish, and looks closer to how the user
-   hover bubble looks
-   Updated the styles for the issue bars. The icons and color scheme have
-   been tweaked a bit

* Thu Jun 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6-4.rc1
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6-rc-1/
- New Features
-   Added generic file attachment
-   Added support for private profiles
-   Added support for private GitHub Organizations
-   New review request notifications are now reflected in the page icon
-   The "Discarded" and "Submitted" labels in the dashboard views now have
-   their own distinct colors
-   The Review Request Updated e-mails now clearly show when the summary,
-   rather than the description, was changed
- Performance Enhancements
-   Sped up the rendering of the New Review Request page
-   The rendering of syntax highlighting in diffs is now faster
-   Reduced queries when looking up SCMTools in the database
- Bug Fixes
-   Fixed an error when attempting to show a changeset-related error during
-   the creation of a review request
-   Fixed a page breakage where a user profile was incorrectly assumed to
-   exist when viewing a review request
-   Clear Case wasn’t properly recognizing brand new files
-   Fixed a Python 2.4 compatibility problem in Clear Case
-   Fixed a breakage with Internet Explorer that was introduced in 1.6 beta 2
-   Fixed a rare crash in rb-site on the memcached server location page
-   Fixed an inconsistent recommendation in rb-site
-   Fixed possible problems if a .ssh/authorized_keys file contained a bad
-   line
-   The new Quick Search results list no longer appears off-screen
-   The log file no longer spews file locations on every new web server worker
-   thread/process unless the log level is set to DEBUG
-   Public servers not running in DEBUG mode would cause any HTTP 400 errors
-   to e-mail the administrator
- Internal Changes
-   Review Board now depends on Django 1.3

* Fri Jun 17 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6-3.beta2.1
- Fix serious upgrade bug from 1.6beta1
- Resolves: rhbz#598463 - rb-site suggests that I use an unsafe temporary
-                         directory

* Mon May 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6-2.beta2
- This release contains all bug fixes and features found in Review Board
- version 1.5.5.
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5.5/
- Important Upgrade Notes
-   * The generated settings_local.py file for new sites in 1.6 beta 1 had a
-     shortened version of the database engine path (stored in ENGINE). This
-     is deprecated. We now generate the full path.
-   * Sites created in 1.6 beta 1 may need adjustment to be compatible with
-     future versions of Django. Locate the line with 'ENGINE:' '<name>' and
-     prefix django.db.backends. before <name>
- New Features
-   * Added basic issue tracking support for comments and reviews
-   * Added a quick search field
-   * Review draft banners now stay on screen while the review is shown
-   * Added support for e-mailing administrators when new users register
-   * Aded move/rename information in the diff viewer
-   * Added support for copy/rename information in git-style diffs on
-     Mercurial
-   * Added X-ReviewGroup headers for e-mails, improving e-mail filtering
-   * Added a brand new Clear Case implementation
-   * SSH keys can now be defined per-Local Site.
-     * This means if a server has a Review Board instance partitioned into
-       two Local Sites, each can have their own SSH keys configured
- Removed Features
-   * Removed RSS/Atom feed support (never referenced)
- API Changes
-   * Added API for getting change descriptions
-   * Added a quick search API for retrieving basic searchable information
-   * Draft resources weren’t always being fetched correctly, returning 404s
-   * Links in resources on Local Sites are no longer broken
- Bug Fixes
-   * Fixed compatibility with Django 1.3
-   * The groups box in the user preferences page is no longer displayed if
-     there are no groups to join
-   * Increased the size of the text field son the New Review Request page.
-     They’re now the width of the page
-   * Git patches containing new or deleted files would not have all the
-     information preserved in the downloaded diff
-   * Saving a review request in the admin UI no longer fails due to a blank
-     Local ID field
-   * Table captions in the admin dashboard were scrambled on Google Chrome
-   * Review Board no longer breaks when set up with mod_wsgi without
-     mod_python installed
-   * The starred reviews counts weren't incremented properly. This would
-     cause removing a star to show a negative count in the dashboard
-   * The incoming group counts on the dashboard weren’t always updated
-     properly
-   * Both the groups and people reviewer auto-complete lists now have a
-     “Press Tab to auto-complete” footer at the bottom of the list.
-     Previously, only one of the lists had this.
-   * Fixed a breakage when reporting errors on failed diffs
-   * The proper user information on the user page wasn't correct. The logged
-     in user was being shown instead of the user represented by the URL
-   * Newly uploaded screenshots are no longer shown on the review request
-     until the draft is published. Since 1.0, we’ve always shown whether or
-     not they were intended to be public
-   * Draft captions for screenshots are now properly displayed on the review
-     request page. Previously, we’d show the original caption
-   * Editing a caption for a screenshot properly saves it again
-   * The order of values in the change descriptions were seemingly random.
-     This affected such fields as bug numbers and reviewers. Now they
-     maintain the order shown in the actual fields
-   * Fixed a usability problem with the user infobox
-   * Fixed visual issues in the user infobox on Google Chrome
-   * Fixed several problems with commenting and saving reviews
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6-beta-2/

* Wed Mar 30 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.6-1.beta1
- New upstream beta release
- Site divisions within Review Board
- Invite-only groups
- Hidden groups
- Access control on repositories
- Collapsible reviews
- One-click Ship It!
- Delete detection for Git and Perforce
- The review request ID is now displayed under the summary on the review
- request
- Added error messages when typing an invalid reviewer (user or group). Prior
- to this, the invalid reviewer would just disappear from the list, leaving no
- indication that it was wrong
- Plastic SCM support
- Better custom authentication backends
- Improved user page
- User info bubble
- Better DKIM support for e-mails
- Searching by change numbers now works. This may require a full reindex
- The dashboard is now much faster
- Reduced the number of round trips to the database when loading the diff
- viewer
- The old 1.0 API has been removed
- The old iPhone interface has been removed
- Review Board now depends on Django 1.2
- The entire web UI has been updated to use the new API
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6-beta-1/

* Mon Feb 21 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.4-1
- New upstream release 1.5.4
- Added API support for creating/updating/removing repositories
- Added API for change number-related updates
- Fix validation problems with the Search Index settings in the
- Administration UI
- Comments begining in expanded regions of a diff and ending in
- collapsed regions should no longer break the diff viewer
- Usernames with @ in the name (such as when using e-mail addresses
- as usernames) are now allowed
- IntelliJ-generated SVN diffs should now be parsed properly
- The update_changenum method in the old API no longer returns an
- HTTP 500 error
- When replying to a review, names containing an apostrophe are no
- longer displayed incorrectly
- Using a bug number on a review request without a repository no
- longer causes an HTTP 500 error
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5.4/

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.3-1
- New upstream release 1.5.3
- Added support for matching repository names instead of paths with RBTools
- 0.3.1
- Fixed many compatibility issues with the new SSH implementation
- Removed some spurious print statements causing mod_wsgi to have problems
- The Search Index setting in the administration UI now validates the path
- to ensure that it’s an absolute path, it exists, and it’s writeable

* Tue Jan 18 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.2-21
- Change mod_wsgi notification patch to the version submitted upstream
- This warning will now only be displayed if upgrading from an affected
- version, rather than on all upgrades.
- Don't install files used only for test purposes

* Mon Jan 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.2-20
- Add message to upgrade script to alert users that manual edits may be
- required if using mod_wsgi

* Mon Jan 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.2-19
- Important Updates
-     Users using existing WSGI configurations must update their configuration
-     for authentication with the new API to work.
- New Features
-     Added SSH key management for SSH-backed repositories
-     Authentication failures when setting up repositories are now more useful
-     Added our own SSH replacement for standardizing on behavior and working
-     around OpenSSH limitations
-     The Repository page in the administration UI now talks about API Tokens
-     and links to the GitHub Account page for Git repositories, making it
-     easier to set up a GitHub repository
- API Fixes
-     Fixed logging in on requests using HTTP Basic Auth
-     Fixed wrong responses when performing a request requiring authentication
-     as an anonymous user
-     Fixed anonymous access to the API when anonymous access is enabled
-     Fixed replies to screenshot comments in the new web API
-     Fixed removing screenshots from review requests
-     Changed the request when doing a HTTP PUT on a review request draft
-     Fixed search queries in /api/users/
- Bug Fixes
-     Fixed a problem with SSH host checking on Git repositories
-     Fixed support for private GitHub repositories
-     The API Token for GitHub repositories are now extracted properly in the
-     Repository page in the administration UI
-     Fixed extra whitespace highlight toggling
-     Images on the dashboard are now cached, reducing the number of requests
-     made to the server
-     Disabled auto-complete and default values for the repository
-     username/password fields
-     Support for Amazon S3 now works again with new versions of Django
-     Storages
-     Authentication with the new API now works with new Apache+wsgi setups
-     Fixed some rewrite rule for fastcgi
-     Fix 404 errors with newly generated lighttpd.conf files
-     Fixed errrors when passing a non-integer value for ?show_submitted= on
-     the dashboard or other review request listings
-     Fixed a crash when attempting to log SSH-related problems
-     The contributed svn-hook-postcommit-review script wasn't parsing the
-     base path correctly
- Release Notes
-     http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5.2/

* Mon Nov 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-18
- New Features
-      Permission denied errors are shown when accessing unreachable local Git
-      repositories. (Bug #1765)
-      Previously, if a Git repository was used and there wasn’t sufficient
-      file permissions to access it, a vague error saying that the repository
-      was unreachable would appear. Now we check to find out if it’s a
-      permissions error, and display an appropriate error message.
- Performance Improvements
-      Reduce the number of SQL queries in the legacy JSON API.
-      Some of the legacy API handlers performed more queries than necessary.
-      We now perform fewer queries. Patch by Ben Hollis.
- Bug Fixes
-      Fixed several small problems in the Admin UI from bundling Django media
-      files.
-      For historical reasons, we’ve always shipped the Django Admin media
-      files as part of Review Board. This comes from a time before rb-site
-      existed, when we needed a single media directory with everything inside
-      it. However, it just introduces various compatibility problems these
-      days. We now make use of the media files that are installed with Django
-      Fixed a breakage in the diff viewer with SCons files. (Bug #1864)
-      Any SCons files put up for review would break the diff viewer, due to a
-      typo when looking up information on that type of file.
-      Added the Parent Diff field to the New Review Request page. (Bug #1651)
-      The Parent Diff field was missing for Git, Bazaar, and Mercurial,
-      making it impossible to upload a parent diff through the web UI when
-      creating a new review request.
-      Fixed some common installation problems with the generated
-      lighttpd.conf file. (Bug #1618, Bug #1639)
-      Several installs with lighttpd would give 404 Not Found errors, due to
-      some configuration problems in the sample config file.
-      Fixed support for multiple e-mail addresses assigned to a group.
-      (Bug #1661)
-      Multiple e-mail addresses for a group were supported, but broken in
-      1.5. We now split them out properly.
-      The screenshot area is no longer hidden immediately after uploading a
-      screenshot.
-      Fixed an error in the web API when serializing to XML.
-      Fixed broken intervals for search updating in the generated crontab
-      file.
-      The intervals would cause a full index to happen at every minute at 2AM
-      on Sundays, rather than only at 2AM.
-      Fixed an error when permanently deleting a review request.
-      The administrator-specific ability to permanently delete a review
-      request would succeed but generate an error page.

* Fri Oct 01 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-17
- Release ReviewBoard 1.5 final
- Full release notes:
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5/

* Mon Sep 20 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-16.rc2
- Fix specfile typo causing build break

* Mon Sep 20 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-15.rc2
- Update to new upstream release 1.5rc2
- Added Python 2.7 compatibility.
- Added compatibility with PyLucene 3.x. Support for 2.x still remains.
- Added support for review requests without diffs, for image/screenshot review
- Assorted API improvements and bugfixes
- Update Djblets requirement to 0.6.4
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5-rc-2/

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.5-14.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 09 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-14.rc1
- Add missing Requires: python-dateutil

* Tue Jul 06 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-13.rc1
- Specfile change: more specific %%files section

* Tue Jul 06 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-12.rc1
- Added support for the iPhone and iPad
- Improved move detection in diff viewer
- Support for WSGI installations
- Improvements to the JSON API
- Assorted bugfixes
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5-rc-1/

* Fri May 14 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-11.beta2
- Added support for custom site-specific management commands
- Set the HOME directory for Review Board to be he site directory’s
- data directory by default
- Multiple review requests can now be closed or reopened at once by
- administrators in the administration UI’s database browser
- Added a new REST API
- Usability Improvements
- Assorted bugfixes
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5-beta-2/

* Sat Apr 17 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-7.beta1
- Remove previous patch. It was actually already in the source tree

* Sat Apr 17 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-6.beta1
- Include upstream patch to drastically reduce the number of
- SQL lookups

* Tue Mar 16 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-5.beta1
- Add Requires: python-paramiko

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-3.beta1
- Fix some places where 'beta1' was missing, causing build failure

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5-2.beta1
- Correct version to meet naming guidelines

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5beta1-1
- Add missing dependency on python-recaptcha-client

* Mon Feb 15 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.5beta1-0
- New upstream release
- Complete release notes at
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5-beta-1/

* Tue Dec 22 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.5.1-2
- Fix source tarball location
- Add comment to spec file regarding the lack of .desktop file
- Update changelog

* Tue Dec 15 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.5.1-1
- Update to latest upstream (1.0.5.1)
- Require Django >= 1.1.1 for security fixes

* Fri Oct 16 2009 Dan Young <dyoung@mesd.k12.or.us> - 1.0.1-2
- add builddep on python-setuptools to avoid "ImportError: No module named
  setuptools" in mock build
- Add Requires: python-pygments for syntax highlighting
- Add Requires: django-evolution for schema migrations

* Fri Sep 11 2009 David Malcolm <dmalcolm@redhat.com> - 1.0.1-1
- bump to latest upstream (1.0.1), and delete usage of "alphatag" from the
specfile
- drop build-time dependency on python-setuptools-devel

* Thu May  7 2009 David Malcolm <dmalcolm@redhat.com> - 1.0-0.4.rc1
- update to rc1
- avoid trying to bootstrap setup.py; we get this via RPM
- update djblets dep based on my proposed renaming (see bug 487098)
- make manage.py executable
- add requirement on pytz

* Tue Feb  24 2009 Dan Young <dyoung@mesd.k12.or.us> - 1.0-0.3.alpha4
- change _alphaver to alphatag
- fix Djblets dep w/ correct pre-release package naming

* Tue Feb  24 2009 Dan Young <dyoung@mesd.k12.or.us> - 1.0-0.2.alpha4
- Fix version number
- Fix rpmlint administriva (spaces/tabs, description length, capitalization)
- Include docs

* Sat Feb  21 2009 Ramez Hanna <rhanna@informatiq.org> 
- First build.
